{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            t.windowButtons.add=false;
            t.windowButtons.delete=false;
            const gridConfig = {
                cm: [
                    {header: "{{ 'CaseMovement.erprefnumber'|trans }}", dataIndex: 'erprefnumber', width: 70,filter:'single',alias:'cm',operator:'='},
                    {header: "{{ 'CaseMovement.carrier'|trans }}", dataIndex: 'carrier', width: 60},
                    {header: "{{ 'CaseMovement.code'|trans }}", dataIndex: 'code', width: 110},
                    {header: "{{ 'CaseMovement.number'|trans }}", dataIndex: 'number', width: 40,filter:'single',alias:'cm',operator:'='},
                    {header: "{{ 'CaseMovement.stockcode'|trans }}", dataIndex: 'stockcode', width: 110},
                    {header: "{{ 'CaseMovement.casename'|trans }}", dataIndex: 'casename', width: 90},
                    {header: "{{ 'CaseMovement.tasktype'|trans }}", dataIndex: 'tasktype', width: 70},
                    {header: "{{ 'CaseMovement.starttime'|trans }}", dataIndex: 'starttime', width: 120},
                    {header: "{{ 'CaseMovement.targettime'|trans }}", dataIndex: 'targettime', width: 120},
                    {header: "{{ 'CaseMovement.actualfinishtime'|trans }}", dataIndex: 'actualfinishtime', width: 120},
                    {header: "{{ 'CaseMovement.yapilmadk'|trans }}", dataIndex: 'yapilmadk', width: 70},
                    {header: "{{ 'CaseMovement.yapilmasicildk'|trans }}", dataIndex: 'yapilmasicildk', width: 70},
                    {header: "{{ 'CaseMovement.molasuresi'|trans }}", dataIndex: 'molasuresi', width: 70}
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.textField({
                        title: "{{ 'CaseMovement.erprefnumber'|trans }}",
                        dataIndex: 'erprefnumber',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'CaseMovement.code'|trans }}",
                        dataIndex: 'code',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.numberField({
                        title: "{{ 'CaseMovement.number'|trans }}",
                        dataIndex: 'number',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:50,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'CaseMovement.stockcode'|trans }}",
                        dataIndex: 'stockcode',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'CaseMovement.casename'|trans }}",
                        dataIndex: 'casename',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'CaseMovement.tasktype'|trans }}",
                        dataIndex: 'tasktype',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:50,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.dateField({
                        title : "{{ 'CaseMovement.starttime'|trans }}",
                        dataIndex : 'sdate',
                        labelWidth : '90px',
                        width : 80
                    }),
                    new mj.form.timeField({
                        title : '-',
                        labelWidth : '10px',
                        right : true,
                        itemStyle : 'width:70px;',
                        dataIndex : 'stime',
                        width : 50,
                        maxLength: 5
                    }),
                    new mj.form.dateField({
                        title : "{{ 'CaseMovement.assignmenttime'|trans }}",
                        dataIndex : 'adate',
                        labelWidth : '90px',
                        width : 80
                    }),
                    new mj.form.timeField({
                        title : '-',
                        labelWidth : '10px',
                        right : true,
                        itemStyle : 'width:70px;',
                        dataIndex : 'atime',
                        width : 50,
                        maxLength: 5
                    }),
                    new mj.form.dateField({
                        title : "{{ 'CaseMovement.targettime'|trans }}",
                        dataIndex : 'tdate',
                        labelWidth : '90px',
                        width : 80
                    }),
                    new mj.form.timeField({
                        title : '-',
                        labelWidth : '10px',
                        right : true,
                        itemStyle : 'width:70px;',
                        dataIndex : 'ttime',
                        width : 50,
                        maxLength: 5
                    })
                    
                ]
            };
            t._setFormConfig(formConfig);

        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
